Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class CompareByExample<T>

    java.lang.Object
      org.apache.openjpa.persistence.criteria.SelectionImpl<X>
          org.apache.openjpa.persistence.criteria.ExpressionImpl<Boolean>
              org.apache.openjpa.persistence.criteria.PredicateImpl
                  org.apache.openjpa.persistence.criteria.CompareByExample<T>

All Implemented Interfaces:
  Expression<Boolean>, Predicate, Selection<Boolean>, TupleElement<Boolean>, CriteriaExpression

     class CompareByExample<T>

extends PredicateImpl

An expression for query-by-example.

Author:
  Pinaki Poddar

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.persistence.criteria.PredicateImpl
`PredicateImpl.And, PredicateImpl.Or`

Nested classes/interfaces inherited from interface javax.persistence.criteria.Predicate
`Predicate.BooleanOperator`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.criteria.PredicateImpl
`_exps`

Constructor Summary
`CompareByExample(CriteriaBuilder builder, ManagedType<T> type, Path<T> from, T instance, ComparisonStyle style, Attribute<?,?>... excludes)`

Method Summary
`(package private) static
`<T> Predicate.BooleanOperator`
` | `extractOperator(ComparisonStyle style)`
`(package private) Object` | `extractValue(T instance, SingularAttribute<? super T,?> attr)`
`(package private) boolean` | `isDefaultValue(Class<?> cls, Object val)`

Methods inherited from class org.apache.openjpa.persistence.criteria.PredicateImpl
`acceptVisit, add, asValue, FALSE, getExpressions, getOperator, isEmpty, isNegated, markNegated, not, toKernelExpression, toValue, TRUE`

Methods inherited from class org.apache.openjpa.persistence.criteria.ExpressionImpl
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.apache.openjpa.persistence.criteria.SelectionImpl
`alias, asProjection, assertValidName, asVariable, getAlias, getCompoundSelectionItems, getJavaType, isAliased, isAutoAliased, isCompoundSelection, setAutoAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Constructor Detail

### CompareByExample

    CompareByExample(CriteriaBuilder builder,
                     ManagedType<T> type,
                     Path<T> from,
                     T instance,
                     ComparisonStyle style,
                     Attribute<?,?>... excludes)

Method Detail

### extractValue

    Object extractValue(T instance,
                        SingularAttribute<? super T,?> attr)

### isDefaultValue

    boolean isDefaultValue(Class<?> cls,
                           Object val)

### extractOperator

    static <T> Predicate.BooleanOperator extractOperator(ComparisonStyle style)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.